Sets the size of the Imagick object

- « Imagick::setSamplingFactors

- Imagick::setSizeOffset »

- PHP Manual
- Imagick
- Sets the size of the Imagick object

# Imagick::setSize

(PECL imagick 2, PECL imagick 3)

Imagick::setSize — Sets the size of the Imagick object

### Description

public Imagick::setSize(int `$columns`, int `$rows`): bool

Sets the size of the Imagick object. Set it before you read a raw image format such as RGB, GRAY, or CMYK.

### Parameters

`columns`

`rows`

### Return Values

Returns `true` on success.